package com.steering.pss.judge.model;

/**
 * 数据库表QCM_GP_PASS_APPLY所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2017-12-13
 */
@SuppressWarnings("serial")
public class QcmGpPassApplyEntity implements java.io.Serializable {
    /**
     * 质量放行单号
     */
    private String passApplyNo = "";
    /**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 申请判定序号
     */
    private String jugdeApplySqe = "";
    /**
     * 倍尺数
     */
    private String multipleNum = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 电炉炉号
     */
    private String stoveNo = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 单倍坯长
     */
    private String lenGpSingle = "";
    /**
     * 表面结果代码
     */
    private String faceResultCode = "";
    /**
     * 成分结果代码
     */
    private String chemResultCode = "";
    /**
     * 理化结果代码
     */
    private String phyResultCode = "";
    /**
     * 探伤结果代码
     */
    private String detectResultCode = "";
    /**
     * 综合判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 申请判定备注
     */
    private String memo = "";
    /**
     * 理论重量
     */
    private String actTheoryWeight = "";
    /**
     * 生产合同号（合同号）
     */
    private String proOrderNo = "";
    /**
     * 生产产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 订单编号(下一工序订单)
     */
    private String proPlanIdNext = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNoNext = "";
    /**
     * 审核人
     */
    private String auditName = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 审核结果 （0 不通过 1通过）
     */
    private String auditResult = "";
    /**
     * 审核备注
     */
    private String auditMemo = "";
    /**
     * 二级审核人
     */
    private String auditName2 = "";
    /**
     * 二级审核时间
     */
    private String auditTime2 = "";
    /**
     * 二级审核结果 （ 0 不通过 1通过）
     */
    private String auditResult2 = "";
    /**
     * 二级审核备注
     */
    private String auditMemo2 = "";
    /**
     * 申请放行人
     */
    private String passApplyName = "";
    /**
     * 申请放行时间
     */
    private String passApplyTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志
     */
    private String validflag = "";
    private String unitCode = "";
    private String unitDesc = "";
    private String type = "";


	/**
     * 质量放行单号
     * @return value
     */
    public String getPassApplyNo() {
        return passApplyNo;
    }

    /**
     * 质量放行单号
     * @param passApplyNo value
     */
    public void setPassApplyNo(String passApplyNo) {
        this.passApplyNo = passApplyNo;
    }

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 申请判定序号
     * @return value
     */
    public String getJugdeApplySqe() {
        return jugdeApplySqe;
    }

    /**
     * 申请判定序号
     * @param jugdeApplySqe value
     */
    public void setJugdeApplySqe(String jugdeApplySqe) {
        this.jugdeApplySqe = jugdeApplySqe;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getMultipleNum() {
        return multipleNum;
    }

    /**
     * 倍尺数
     * @param multipleNum value
     */
    public void setMultipleNum(String multipleNum) {
        this.multipleNum = multipleNum;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 电炉炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 电炉炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 单倍坯长
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 表面结果代码
     * @return value
     */
    public String getFaceResultCode() {
        return faceResultCode;
    }

    /**
     * 表面结果代码
     * @param faceResultCode value
     */
    public void setFaceResultCode(String faceResultCode) {
        this.faceResultCode = faceResultCode;
    }

    /**
     * 成分结果代码
     * @return value
     */
    public String getChemResultCode() {
        return chemResultCode;
    }

    /**
     * 成分结果代码
     * @param chemResultCode value
     */
    public void setChemResultCode(String chemResultCode) {
        this.chemResultCode = chemResultCode;
    }

    /**
     * 理化结果代码
     * @return value
     */
    public String getPhyResultCode() {
        return phyResultCode;
    }

    /**
     * 理化结果代码
     * @param phyResultCode value
     */
    public void setPhyResultCode(String phyResultCode) {
        this.phyResultCode = phyResultCode;
    }

    /**
     * 探伤结果代码
     * @return value
     */
    public String getDetectResultCode() {
        return detectResultCode;
    }

    /**
     * 探伤结果代码
     * @param detectResultCode value
     */
    public void setDetectResultCode(String detectResultCode) {
        this.detectResultCode = detectResultCode;
    }

    /**
     * 综合判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 综合判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 申请判定备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 申请判定备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 理论重量
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 理论重量
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 生产合同号（合同号）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号（合同号）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 订单编号(下一工序订单)
     * @return value
     */
    public String getProPlanIdNext() {
        return proPlanIdNext;
    }

    /**
     * 订单编号(下一工序订单)
     * @param proPlanIdNext value
     */
    public void setProPlanIdNext(String proPlanIdNext) {
        this.proPlanIdNext = proPlanIdNext;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNoNext() {
        return gxPlanNoNext;
    }

    /**
     * 工序排产序号
     * @param gxPlanNoNext value
     */
    public void setGxPlanNoNext(String gxPlanNoNext) {
        this.gxPlanNoNext = gxPlanNoNext;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 审核结果 （0 不通过 1通过）
     * @return value
     */
    public String getAuditResult() {
        return auditResult;
    }

    /**
     * 审核结果 （0 不通过 1通过）
     * @param auditResult value
     */
    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    /**
     * 审核备注
     * @return value
     */
    public String getAuditMemo() {
        return auditMemo;
    }

    /**
     * 审核备注
     * @param auditMemo value
     */
    public void setAuditMemo(String auditMemo) {
        this.auditMemo = auditMemo;
    }

    /**
     * 二级审核人
     * @return value
     */
    public String getAuditName2() {
        return auditName2;
    }

    /**
     * 二级审核人
     * @param auditName2 value
     */
    public void setAuditName2(String auditName2) {
        this.auditName2 = auditName2;
    }

    /**
     * 二级审核时间
     * @return value
     */
    public String getAuditTime2() {
        return auditTime2;
    }

    /**
     * 二级审核时间
     * @param auditTime2 value
     */
    public void setAuditTime2(String auditTime2) {
        this.auditTime2 = auditTime2;
    }

    /**
     * 二级审核结果 （ 0 不通过 1通过）
     * @return value
     */
    public String getAuditResult2() {
        return auditResult2;
    }

    /**
     * 二级审核结果 （ 0 不通过 1通过）
     * @param auditResult2 value
     */
    public void setAuditResult2(String auditResult2) {
        this.auditResult2 = auditResult2;
    }

    /**
     * 二级审核备注
     * @return value
     */
    public String getAuditMemo2() {
        return auditMemo2;
    }

    /**
     * 二级审核备注
     * @param auditMemo2 value
     */
    public void setAuditMemo2(String auditMemo2) {
        this.auditMemo2 = auditMemo2;
    }

    /**
     * 申请放行人
     * @return value
     */
    public String getPassApplyName() {
        return passApplyName;
    }

    /**
     * 申请放行人
     * @param passApplyName value
     */
    public void setPassApplyName(String passApplyName) {
        this.passApplyName = passApplyName;
    }

    /**
     * 申请放行时间
     * @return value
     */
    public String getPassApplyTime() {
        return passApplyTime;
    }

    /**
     * 申请放行时间
     * @param passApplyTime value
     */
    public void setPassApplyTime(String passApplyTime) {
        this.passApplyTime = passApplyTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }
    
    public String getUnitCode() {
		return unitCode;
	}

	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	public String getUnitDesc() {
		return unitDesc;
	}

	public void setUnitDesc(String unitDesc) {
		this.unitDesc = unitDesc;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
